Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000630 [1003.1(2008)/Issue 7] System Interfaces Editorial Error 2012-11-08 18:20 2012-12-12 16:35
Reporter tydeman View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Fred J. Tydeman
Organization Tydeman Consulting
User Reference
Section cosh()
Page Number 696
Line Number 23586
Interp Status ---
Final Accepted Text Note: 0001426
Summary 0000630: Sentence is missing "for finite x"
Description The sentence:

For IEEE Std 754-1985 double, 710.5 < |x| implies that cosh(x) has overflowed.

is only true for finite x. cosh(infinity) is exactly infinity without any error.

The same issue applies to: erfc(), exp(), exp2(), expm1()

Aside: Should that sentence be added to sinh() since both cosh() and
sinh() overflow at the same point?

Should similar sentences be added to:
  lgamma(2.6e305)
  tgamma(171.7)
Desired Action Add "for finite x" for the five math functions with this error.
Consider adding similar sentences to sinh(), lgamma(), and tgamma().
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0001426)
msbrown (manager)
2012-12-05 16:42
edited on: 2012-12-12 16:34

Here are the proposed actions:

On P696 L23586 delete:

For IEEE Std 754-1985 double, 710.5 < |x| implies that cosh(x) has overflowed.

On P767 L25598 delete:

Note for IEEE Std 754-1985 double, 26.55 < x implies erfc(x) has underflowed.

On P787 L26297 delete:

Note that for IEEE Std 754-1985 double, 709.8 < x implies exp(x) has overflowed. The value x< −708.4 implies exp(x) has underflowed.

On P789 L26366 delete:

For IEEE Std 754-1985 double, 1024 <= x implies exp2(x) has overflowed. The value x< −1022 implies exp(x) has underflowed.

On P791 L26426 delete:

For IEEE Std 754-1985 double, 709.8 < x implies expm1(x) has overflowed.

On P2106 L66639 delete:

For IEEE Std 754-1985 double, overflow happens when 0 < x < 1/DBL_MAX, and 171.7 < x.


- Issue History
Date Modified Username Field Change
2012-11-08 18:20 tydeman New Issue
2012-11-08 18:20 tydeman Status New => Under Review
2012-11-08 18:20 tydeman Assigned To => ajosey
2012-11-08 18:20 tydeman Name => Fred J. Tydeman
2012-11-08 18:20 tydeman Organization => Tydeman Consulting
2012-11-08 18:20 tydeman Section => cosh()
2012-11-08 18:20 tydeman Page Number => 701
2012-11-08 18:20 tydeman Line Number => 23801
2012-12-05 16:42 msbrown Note Added: 0001426
2012-12-05 16:44 msbrown Page Number 701 => 696
2012-12-05 16:44 msbrown Line Number 23801 => 23586
2012-12-05 16:44 msbrown Interp Status => ---
2012-12-05 16:44 msbrown Final Accepted Text => Note: 0001426
2012-12-05 16:44 msbrown Status Under Review => Resolved
2012-12-05 16:44 msbrown Resolution Open => Accepted As Marked
2012-12-06 09:43 geoffclare Status Resolved => Under Review
2012-12-06 09:43 geoffclare Resolution Accepted As Marked => Reopened
2012-12-12 16:34 geoffclare Note Edited: 0001426
2012-12-12 16:35 geoffclare Status Under Review => Resolved
2012-12-12 16:35 geoffclare Resolution Reopened => Accepted As Marked
2012-12-12 16:35 geoffclare Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker